import * as blog from './blog.js';

async function main() {
	let blogs = await blog.get_posts();
	for (let blog_post of blogs) {
		let title = (blog_post.title || '').replaceAll(/\W/g, '_').toLowerCase();
		if (request.path === title) {
			respond({data: await blog.render_blog_post_html(blog_post), content_type: 'text/html; charset=utf-8'});
			return;
		}
	}
	if (request.path == 'atom') {
		respond({data: blog.render_atom(blogs), content_type: 'application/atom+xml'});
	} else {
		respond({data: blog.render_html(blogs), content_type: 'text/html; charset=utf-8'});
	}
}

main().catch(function(error) {
	respond({data: `<!DOCTYPE html>
	<pre style="color: #f00">${error.message}\n${error.stack}</pre>`, content_type: 'text/html'});
});